Bug 726548 - <superscript> tags display an "Unvalidated Tag Warning"
<superscript> tags display an "Unvalidated Tag Warning"
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.6
All Linux
unspecified Severity low
: 3.0
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-28 19:54 EDT by Misha H. Ali
Modified: 2012-10-30 23:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:10:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2011-07-28 19:54:05 EDT
Description of problem:

Usage of the <superscript> tags results in a warning when building the book:

*WARNING: Unvalidated tag: 'superscript'. This tag may not be displayed correctly, may generate invalid xhtml, or may breach Section 508 Accessibility standards.

Used in this case to mark up the following:

"... for the n<superscript>th</superscript> node ..."

The output in en-US html-single using Chrome and Firefox displays correctly as superscript, but the text included in this tag is colored grey instead of black.


Version-Release number of selected component (if applicable):


How reproducible:

Everytime.

Steps to Reproduce:
1. Create a publican book.
2. Mark up text with <superscript> and </superscript>
3. Build the book (in the reported instance, using html-single and en-US).

  
Actual results:

1. Warning during build.
2. Odd coloring for marked up text in the tmp/en-US/html-single/index.html file.

Expected results:

1. If tags are valid, no warning should display when building the book.
2. The marked up text should be located higher and be smaller in size than normal text and retain the default black color used for normal text.

Additional info:

I am informed that "Unvalidated" means that no QA has ever been done on that tag and the presentation is not known.
Comment 1 Jeff Fearn 2011-11-17 00:14:16 EST
Added support for superscript, fixed color.

Applied to branches/publican-2x and trunk.

Committed revision 1952.
Comment 2 Misha H. Ali 2012-04-22 17:12:29 EDT
Verified size, position and color on:

OS: Fedora 16
Publican: 3.0
Release designation: publican-3.0-0.fc16.t166.src.rpm

Note You need to log in before you can comment on or make changes to this bug.